(function (lib, img, cjs, ss) {

var p; // shortcut to reference prototypes
var rect; // used to reference frame bounds

// library properties:
lib.properties = {
	width: 1280,
	height: 720,
	fps: 30,
	color: "#FFFFFF",
	manifest: [
		{src:"images/Bitmap1.png", id:"Bitmap1"},
		{src:"images/Bitmap10.png", id:"Bitmap10"},
		{src:"images/Bitmap11.png", id:"Bitmap11"},
		{src:"images/Bitmap12.png", id:"Bitmap12"},
		{src:"images/Bitmap2.png", id:"Bitmap2"},
		{src:"images/Bitmap3.png", id:"Bitmap3"},
		{src:"images/Bitmap4.png", id:"Bitmap4"},
		{src:"images/Bitmap5.png", id:"Bitmap5"},
		{src:"images/Bitmap6.png", id:"Bitmap6"},
		{src:"images/Bitmap7.png", id:"Bitmap7"},
		{src:"images/Bitmap8.png", id:"Bitmap8"},
		{src:"images/Bitmap9.png", id:"Bitmap9"}
	]
};



// symbols:



(lib.Bitmap1 = function() {
	this.initialize(img.Bitmap1);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,134,270);


(lib.Bitmap10 = function() {
	this.initialize(img.Bitmap10);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,60,90);


(lib.Bitmap11 = function() {
	this.initialize(img.Bitmap11);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,75,90);


(lib.Bitmap12 = function() {
	this.initialize(img.Bitmap12);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,75,90);


(lib.Bitmap2 = function() {
	this.initialize(img.Bitmap2);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,71,138);


(lib.Bitmap3 = function() {
	this.initialize(img.Bitmap3);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,152,139);


(lib.Bitmap4 = function() {
	this.initialize(img.Bitmap4);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,152,100);


(lib.Bitmap5 = function() {
	this.initialize(img.Bitmap5);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,220,110);


(lib.Bitmap6 = function() {
	this.initialize(img.Bitmap6);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,110,55);


(lib.Bitmap7 = function() {
	this.initialize(img.Bitmap7);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,141,184);


(lib.Bitmap8 = function() {
	this.initialize(img.Bitmap8);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,141,184);


(lib.Bitmap9 = function() {
	this.initialize(img.Bitmap9);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,60,90);


(lib.zakreslenie = function() {
	this.initialize();

	// Layer 2
	this.shape = new cjs.Shape();
	this.shape.graphics.f().s("#4BB3AB").ss(2.9,1,1).p("AjYiNIAAEbQAAAfAWAWQAWAWAfAAIEbAAQAfAAAWgWQAWgWAAgfIAAkbQAAgfgWgWQgWgWgfAAIkbAAQgfAAgWAWQgWAWAAAfg");

	this.shape_1 = new cjs.Shape();
	this.shape_1.graphics.f("#FFFFFF").s().p("AiNDZQgfAAgWgWQgWgWAAgfIAAkbQAAgfAWgWQAWgWAfAAIEbAAQAfAAAWAWQAWAWAAAfIAAEbQAAAfgWAWQgWAWgfAAg");

	this.addChild(this.shape_1,this.shape);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-23.2,-23.1,46.3,46.3);
p.frameBounds = [rect];


(lib.gfx_select_mc = function() {
	this.initialize();

	// Layer 1
	this.shape = new cjs.Shape();
	this.shape.graphics.f("#009999").s().p("AhIAgIhfihQANAGAdAVQAkAbAVAVIA9A2QgggdBkhaQBlhbAGAcQgTAUgXAiQgvBCgYBCQgJAZgZBYQgUBIgBAAQgyhwgWgtg");

	this.addChild(this.shape);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-16.8,-19,33.6,38);
p.frameBounds = [rect];


(lib.gfx_select_active = function() {
	this.initialize();

	// active
	this.active = new lib.gfx_select_mc();

	// bg
	this.instance = new lib.zakreslenie();
	this.instance.setTransform(0,2,0.889,0.889);

	this.addChild(this.instance,this.active);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-20.6,-19,41.2,41.5);
p.frameBounds = [rect];


(lib.exerciseContainer = function(mode,startPosition,loop) {
if (loop == null) { loop = false; }	this.initialize(mode,startPosition,loop,{});

	// timeline functions:
	this.frame_0 = function() {
		/* Sortowanie */
		var config = {
			id: '22107',
			title: 'Zaznacz prawidłowe wyrazy.',
			type: 'select',
			container: this,
			endsound: 'ssBrawa',
			/*
			groups: {		
				1: [1,2,3],
				2: [4,5,6],
				3: [7,8,9]
			},
			*/
			prefix: 'select_',
			results: [
				/*s_1:*/ '0',
				/*s_2:*/ '1',	
				/*s_3:*/ '0',		
				/*s_4:*/ '0',
			
				/*s_5:*/ '0',	
				/*s_6:*/ '0',
				/*s_7:*/ '1',	
				/*s_8:*/ '0',
				
				/*s_9:*/ '1',
				/*s_10:*/ '0',
				
				/*s_11:*/ '0',
				/*s_12:*/ '1',
				
				/*s_13:*/ '1',
				/*s_14:*/ '0',
				
				/*s_15:*/ '0',
				/*s_16:*/ '1',
				
				
			],
			range: 20,
			alpha: 0,
			alpha2: 0,
			//scale: 1,
			//zindex: 0,
			exerciseAfterInit: function (container) {
			},
			exerciseBeforeFinish: function(container) {		
			},
			exerciseExtraCheck: function(container) {		
			},
		}
		
		exerciseOnInit(config);
		
		this.stop();
		
		/* Help */
		
		/* 
		id - Id cwiczenia
		title - Tytul cwiczenia
		type - Typ Cwiczenia
		contanier - Kontener cwiczenia
		groups - Lista grup oraz przypisane do nich identyfikatory (unikatowa liczba) obiektow bez prefixow
		prefix - Prefixy w nazwach obiektow
		results - Rozwiazanie jako tablica identyfikatorow. Znak '|' definuje alternatywe, a '&' oznacza sume.	
		Przyklad:
		Cwiczenie typu sort.
		Odpowiedzi: [5,2,1,4,5] - tablica z ulozonymi w odpowiedniej kolejnisci identyfikatorami obiektow sortowanych.
		Cwiczenie typu drag.
		Odpowiedzi: [5,1|3,2&4] - tablica z id obiektow przeciaganych lub grup. W tym wariancie kazdy kolejny element z indexem 'i' w tablicy odpowiada targetowi o nazwie 'prefix+i'.
		np. prawidlowa odpowiedzia dla drop_1 jest obiekt drag_5, dla drop_2 obiekt drag_1 lub drag_3, dla drop_3 obiekt drag_2 oraz drag_4.
		range - Zakres dociagania
		alpha - Przezroczystosc targetu
		alpha2 - Przezroczystosc targetu po najechaniu
		scale - Skalowanie obiektu po upuszczeniu
		zindex - Warstwa obiektu
		*/
	}

	// actions tween:
	this.timeline.addTween(cjs.Tween.get(this).call(this.frame_0).wait(1));

	// select
	this.select_16 = new lib.gfx_select_active();
	this.select_16.setTransform(1125.6,386.8);

	this.select_15 = new lib.gfx_select_active();
	this.select_15.setTransform(1125.6,338.5);

	this.select_14 = new lib.gfx_select_active();
	this.select_14.setTransform(934.6,386.8);

	this.select_13 = new lib.gfx_select_active();
	this.select_13.setTransform(934.6,338.5);

	this.select_12 = new lib.gfx_select_active();
	this.select_12.setTransform(716.6,386.8);

	this.select_11 = new lib.gfx_select_active();
	this.select_11.setTransform(716.6,338.5);

	this.select_10 = new lib.gfx_select_active();
	this.select_10.setTransform(524.6,386.8);

	this.select_9 = new lib.gfx_select_active();
	this.select_9.setTransform(524.6,338.5);

	this.select_7 = new lib.gfx_select_active();
	this.select_7.setTransform(282.6,435.1);

	this.select_8 = new lib.gfx_select_active();
	this.select_8.setTransform(282.6,483.5);

	this.select_6 = new lib.gfx_select_active();
	this.select_6.setTransform(282.6,386.8);

	this.select_5 = new lib.gfx_select_active();
	this.select_5.setTransform(282.6,338.5);

	this.select_3 = new lib.gfx_select_active();
	this.select_3.setTransform(62.6,435.1);

	this.select_4 = new lib.gfx_select_active();
	this.select_4.setTransform(62.6,483.5);

	this.select_2 = new lib.gfx_select_active();
	this.select_2.setTransform(62.6,386.8);

	this.select_1 = new lib.gfx_select_active();
	this.select_1.setTransform(62.6,338.5);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.select_1},{t:this.select_2},{t:this.select_4},{t:this.select_3},{t:this.select_5},{t:this.select_6},{t:this.select_8},{t:this.select_7},{t:this.select_9},{t:this.select_10},{t:this.select_11},{t:this.select_12},{t:this.select_13},{t:this.select_14},{t:this.select_15},{t:this.select_16}]}).wait(1));

	// content
	this.instance = new lib.Bitmap12();
	this.instance.setTransform(1155.9,320);

	this.instance_1 = new lib.Bitmap11();
	this.instance_1.setTransform(963.9,320);

	this.instance_2 = new lib.Bitmap10();
	this.instance_2.setTransform(746.9,320);

	this.instance_3 = new lib.Bitmap9();
	this.instance_3.setTransform(554.9,320);

	this.instance_4 = new lib.Bitmap8();
	this.instance_4.setTransform(313,320);

	this.instance_5 = new lib.Bitmap7();
	this.instance_5.setTransform(90,320);

	this.instance_6 = new lib.Bitmap6();
	this.instance_6.setTransform(1115,182.4);

	this.instance_7 = new lib.Bitmap5();
	this.instance_7.setTransform(860.5,154.9);

	this.instance_8 = new lib.Bitmap4();
	this.instance_8.setTransform(656.8,160.6);

	this.instance_9 = new lib.Bitmap3();
	this.instance_9.setTransform(463,123.4);

	this.instance_10 = new lib.Bitmap2();
	this.instance_10.setTransform(287.8,121.7);

	this.instance_11 = new lib.Bitmap1();
	this.instance_11.setTransform(43.3,29.8);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.instance_11},{t:this.instance_10},{t:this.instance_9},{t:this.instance_8},{t:this.instance_7},{t:this.instance_6},{t:this.instance_5},{t:this.instance_4},{t:this.instance_3},{t:this.instance_2},{t:this.instance_1},{t:this.instance}]}).wait(1));

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = rect = new cjs.Rectangle(42,29.8,1188.9,476.3);
p.frameBounds = [rect];


// stage content:
(lib.index = function() {
	this.initialize();

	// exercise
	this.container = new lib.exerciseContainer();
	this.container.setTransform(922.2,391.2,1,1,0,0,0,916.5,389);

	this.addChild(this.container);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(687.7,391.9,1188.9,476.3);
p.frameBounds = [rect];

})(lib = lib||{}, images = images||{}, createjs = createjs||{}, ss = ss||{});
var lib, images, createjs, ss;